View Issue Details

IDProjectCategoryView StatusLast Update
0024333mantisbtapi restpublic2018-04-29 19:21
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.13.2 
Target Version2.14.0Fixed in Version2.14.0 
Summary0024333: Support getting a single project via REST API
Description

Add support for following:

  • /api/rest/projects/1
  • /api/rest/projects/?id=1
TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 7fbb1d20

2018-04-21 15:07:10

vboctor

Details Diff
Support getting a single project in REST API

Fixes 0024333
Affected Issues
0024333
mod - api/rest/restcore/projects_rest.php Diff File
mod - core/project_api.php Diff File

Issue History

Date Modified Username Field Change
2018-04-20 01:19 vboctor New Issue
2018-04-20 01:19 vboctor Status new => assigned
2018-04-20 01:19 vboctor Assigned To => vboctor
2018-04-21 15:05 vboctor Summary Get Project by id doesn't work with url /api/rest/projects/1 => Support getting a single project via REST API
2018-04-21 15:05 vboctor Description Updated View Revisions
2018-04-21 15:08 vboctor Note Added: 0059626
2018-04-21 15:15 vboctor Target Version => 2.14.0
2018-04-27 20:40 vboctor Changeset attached => MantisBT master 7fbb1d20
2018-04-27 20:40 vboctor Status assigned => resolved
2018-04-27 20:40 vboctor Resolution open => fixed
2018-04-27 20:40 vboctor Fixed in Version => 2.14.0
2018-04-29 19:21 vboctor Status resolved => closed